Tp::Client::AccountInterfaceStorageInterface Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Tp::Client::AccountInterfaceStorageInterface Class Reference
Account proxies

`#include <TelepathyQt/AccountManager>`

Inherits Tp::AbstractInterface.

## Public Member Functions
| AccountInterfaceStorageInterface (const QString &busName, const QString &objectPath, QObject *parent=0)
| AccountInterfaceStorageInterface (const QDBusConnection &connection, const QString &busName, const QString &objectPath, QObject *parent=0)
| AccountInterfaceStorageInterface (Tp::DBusProxy *proxy)
| AccountInterfaceStorageInterface (const Tp::Client::AccountInterface &mainInterface)
| AccountInterfaceStorageInterface (const Tp::Client::AccountInterface &mainInterface, QObject *parent)
Tp::PendingVariant * | requestPropertyStorageProvider () const
Tp::PendingVariant * | requestPropertyStorageIdentifier () const
Tp::PendingVariant * | requestPropertyStorageSpecificInformation () const
Tp::PendingVariant * | requestPropertyStorageRestrictions () const
Tp::PendingVariantMap * | requestAllProperties () const
Public Member Functions inherited from Tp::AbstractInterface
virtual | ~AbstractInterface ()
bool | isValid () const
QString | invalidationReason () const
QString | invalidationMessage () const
void | setMonitorProperties (bool monitorProperties)
bool | isMonitoringProperties () const

## Static Public Member Functions
static QLatin1String | staticInterfaceName ()

## Protected Member Functions
virtual void | invalidate (Tp::DBusProxy *, const QString &, const QString &)
Protected Member Functions inherited from Tp::AbstractInterface
| AbstractInterface (DBusProxy *proxy, const QLatin1String &interface)
| AbstractInterface (const QString &busName, const QString &path, const QLatin1String &interface, const QDBusConnection &connection, QObject *parent)
PendingVariant * | internalRequestProperty (const QString &name) const
PendingOperation * | internalSetProperty (const QString &name, const QVariant &newValue)
PendingVariantMap * | internalRequestAllProperties () const

## Additional Inherited Members
Signals inherited from Tp::AbstractInterface
void | propertiesChanged (const QVariantMap &changedProperties, const QStringList &invalidatedProperties)
Protected Slots inherited from Tp::AbstractInterface

## Detailed Description

Proxy class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Account.Interface.Storage".

## Constructor & Destructor Documentation

Tp::Client::AccountInterfaceStorageInterface::AccountInterfaceStorageInterface | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a AccountInterfaceStorageInterface associated with the given object on the session bus.

Parameters

  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::AccountInterfaceStorageInterface::AccountInterfaceStorageInterface | ( | const QDBusConnection & | connection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a AccountInterfaceStorageInterface associated with the given object on the given bus.

Parameters

  connection | The bus via which the object can be reached.
  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::AccountInterfaceStorageInterface::AccountInterfaceStorageInterface | ( | Tp::DBusProxy * | proxy | ) |

Creates a AccountInterfaceStorageInterface associated with the same object as the given proxy.

Parameters

  proxy | The proxy to use. It will also be the QObject::parent() for this object.

Tp::Client::AccountInterfaceStorageInterface::AccountInterfaceStorageInterface | ( | const Tp::Client::AccountInterface & | mainInterface | ) |
| explicit

Creates a AccountInterfaceStorageInterface associated with the same object as the given proxy. Additionally, the created proxy will have the same parent as the given proxy.

Parameters

  mainInterface | The proxy to use.

Tp::Client::AccountInterfaceStorageInterface::AccountInterfaceStorageInterface | ( | const Tp::Client::AccountInterface & | mainInterface,
|  | QObject * | parent
| ) |  |

Creates a AccountInterfaceStorageInterface associated with the same object as the given proxy. However, a different parent object can be specified.

Parameters

  mainInterface | The proxy to use.
  parent | Passed to the parent class constructor.

## Member Function Documentation

static QLatin1String Tp::Client::AccountInterfaceStorageInterface::staticInterfaceName | ( |  | ) |
| inlinestatic

Returns the name of the interface "org.freedesktop.Telepathy.Account.Interface.Storage", which this class represents.

Returns
  The D-Bus interface name.

Tp::PendingVariant* Tp::Client::AccountInterfaceStorageInterface::requestPropertyStorageProvider | ( |  | ) | const
| inline

Asynchronous getter for the remote object property `StorageProvider` of type `QString`.

The name of the account storage implementation, which SHOULD start with a reversed domain name in the same way as D-Bus interface names. When this is the empty string the account is internally stored.

This property cannot change once an Account has been created.

Returns
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariant* Tp::Client::AccountInterfaceStorageInterface::requestPropertyStorageIdentifier | ( |  | ) | const
| inline

Asynchronous getter for the remote object property `StorageIdentifier` of type `QDBusVariant`.

Unique identification of the account within the storage backend. The contents of the variant are defined by the StorageProvider .

This property cannot change once an Account has been created.

Different storage systems will have their own way of uniquely identifying an account, typically an integer or a string. Given that all users of this property should have direct knowledge of the backend they should know what types to expect and how to handle it.

Returns
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariant* Tp::Client::AccountInterfaceStorageInterface::requestPropertyStorageSpecificInformation | ( |  | ) | const
| inline

Asynchronous getter for the remote object property `StorageSpecificInformation` of type `QVariantMap`.

Map containing information specific to the storage backend. The keys and the types of their values are defined by the StorageProvider , and are not interpreted by the AccountManager implementation.

As the values in this map may change at any time (due to an external application manipulating the storage provider directly), this property should not be cached; it should instead be retrieved each time it is needed.

This can be used to provide additional hints to user interfaces aware of a specific storage provider, without requiring those user interfaces to use the StorageIdentifier to query the storage provider directly.

Returns
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariant* Tp::Client::AccountInterfaceStorageInterface::requestPropertyStorageRestrictions | ( |  | ) | const
| inline

Asynchronous getter for the remote object property `StorageRestrictions` of type `uint`.

Bitfield which defines what restrictions this Storage method has.

This property cannot change once an Account has been created.

Returns
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariantMap* Tp::Client::AccountInterfaceStorageInterface::requestAllProperties | ( |  | ) | const
| inline

Request all of the DBus properties on the interface.

Returns
  A pending variant map which will emit finished when the properties have been retrieved.

void Tp::Client::AccountInterfaceStorageInterface::invalidate | ( | Tp::DBusProxy * | proxy,
|  | const QString & | error,
|  | const QString & | message
| ) |  |
| protectedvirtual

Reimplemented from Tp::AbstractInterface.